<template>
    <div class="loginPage">
        <div class="login">
             <div id="wx_reg" style="display:flex;justify-content: center;"></div>
        </div>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                
            }
        },
        methods: {
            
        },
        mounted() {
            this.$nextTick(() => {
                var url = '';
                // console.log(process.env)
                if (process.env.NODE_ENV === 'development') {
                    url = 'http://192.168.1.105:3000'
                } else if (process.env.NODE_ENV === 'production') {
                    url = 'http://okr.c-top.com.cn'
                }
                console.log(url)
                window.WwLogin({
                    id: 'wx_reg',
                    appid: 'ww24b8a47826f5875f',
                    agentid: '1000004',
                    redirect_uri: 'http://okrapi.c-top.com.cn/okr/callback/qywexin',
                    state: url + '/transfer-local',
                    href: ''
                })
            })
        },
    }
</script>

<style lang="less" scoped>
.loginPage{
   
    .login{
        padding: 200px 0 0;
        width: 400px;
        margin: 0 auto ;
    }
}
</style>